Skip to content
Streamkap
Esc
↑↓navigate↵open⌘Jpreview

Get schema for a single topic

Lazy-fetch schema fields for a single topic (called on tree node expand).

GET/topics/catalog/schema
Authorization
AuthorizationBearer token · headerrequired
Query parameters
topic_idstring

Kafka topic name

Responses
200

Successful Response

topic_idstringrequired
schema_fieldsobject[] | null
Show properties
Any of:
object[]
Array of object
object
null
null
schema_typestring | null
Show properties
Any of:
string
string
null
null
422

Validation Error

detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X GET 'https://api.streamkap.com/topics/catalog/schema' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "topic_id": "string",
  "schema_fields": [
    {}
  ],
  "schema_type": "string"
}